Subject: bug#36107: Global Buttons Stop Functioning When Current Working Directory Changes (Forgot the Subject!)

From: Robert Weiner <[email-masked]>
Date: Sat, 8 Jun 2019 19:05:36 -0400

We need to chat about this as there are a number of inconsistencies as a result and of course wr should have only one version with a version number.  I also produce signed releases and tag the git commit with the version number, so we need to agree to any merges beforehand.

When I download 7.0.3 via the package manager, I still see hypb:functionp defined without your merges.  What do you see?  — Bob

On Jun 8, 2019, at 4:39 PM, Stefan Monnier <[email-masked]> wrote:

>> The question we are trying to answer though is why is Eric getting the HEAD
>> of the elpa branch when he is using the Emacs package manager to download
>> release 7.0.3?  Everyone else seems to get the right version but not him.
> 
> AFAIK there's been no commit on the elpa.git branch since the 7.0.3
> merge, so the HEAD *is* the 7.0.3 GNU ELPA release (which is slightly
> different from your 7.0.3, e.g. it doesn't have hypb:functionp).
> 
> I merged your branch into the elpa.git one but AFAIK you haven't merged
> the elpa.git one into yours so they're still not quite in-sync.
> 
> 
>        Stefan
>